<html lang="en">
  <head>
    <title>Tests Plan</title>
    <style>
      table, th, td {
        border: 1px solid black;
      }
    </style>
  </head>
  <body>
    <table>
      <thead>
        <tr>
          <th>PERIMETER</th>
          <th>FUNCTION</th>
          <th>TEST</th>
          <th>EXPECTED RESULT</th>
          <th>RESULT</th>
          <th>DEFECT</th>
          <th>CORRECTION BY</th>
        </tr>
      </thead>
      <!-- HOTBAR -->
      <tr>
        <th>HOTBAR</th>
        <th>Drag&'n drop</th>
        <td>Drag'n drop a character sheet from Actors tab</td>
        <td>
          Hotbar slot filled with a new macro ...
          <ul>
            <li>that opens the right character sheet when clicked on</li>
            <li>which has the icon of the character</li>
            <li>which has the name of the character</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>
          Drag'n drop a character ability (Valour, Wisdom, Common Skill, Armour,
          Weapon) from a character sheet
        </td>
        <td>
          Hotbar slot filled with a new macro ...
          <ul>
            <li>
              that launches the die roll for the corresponding ability when
              clicked on
            </li>
            <li>which has the icon of the ability</li>
            <li>which has the name of the ability</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <!-- CHARACTER SHEETS -->
      <tr>
        <th>CHARACTER SHEETS</th>
        <th>Opening & Viewing</th>
        <td>
          Open a character sheet (PC, NPC, Lore, Adversary, Community) +
          navigate and view all its contents [1]
        </td>
        <td>
          All the character informations are visible and readable
          <ul>
            <li>Labels</li>
            <li>Simple text and numeric fields</li>
            <li>
              Calculated fields (grey background). Eg. : Load, Shadow, TN ...
            </li>
            <li>
              Opening, viewing, closing a description field by clicking on the
              icon or name (apart of weapons)
            </li>
            <li>
              Opening, viewing, closing a note field. Eg. : Origin, Company ...
            </li>
            <li>
              Opening, viewing, closing an embedded item. Eg. : virtue, gear, ...
            </li>
            <li>
              Using scrollbars
            </li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Send to chat</th>
        <td>
          From a character sheet (PC, NPC, Adversary), send to the chat the
          informations concerning a functionnality by clicking on the
          "2-bubbles" icon
        </td>
        <td>
          The informations are displayed in the chat with following informations
          :
          <ul>
            <li>Header : Icon, Type, Group (optional), Name</li>
            <li>Details : Text description</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Modification</th>
        <td>Modify a character sheet (PC, NPC, Lore, Adversary, Community)</td>
        <td>
          All types of fields are usable and correctly displayed
          <ul>
            <li>Simple-line text fields</li>
            <li>Simple-line integer field</li>
            <li>Select field with list of values</li>
            <li>Fields with grey backgound cannot be modified manually</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          <ul>
            Fields with ranks are correctly usable :
            <li>Add a rank with ALT+Clic</li>
            <li>Remove a rank with ALT-SHIFT-Clic</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Radio-button fields are correctly usable :
          <ul>
            <li>Activate with ALT+click</li>
            <li>Deactivate with ALT+SHIFT+Clic</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Health States (Wary, Wounded, Poisoned, Miserable) buttons are usable
          :
          <ul>
            <li>ALT+Clic for activating a Health state</li>
            <li>ALT+SHIFT+Click for deactivating a Health State</li>
          </ul>
          Particular case : Wounded
          <ul>
            <li>When deactivating the Wounded health state, the duration of the  wound must be put to zero.</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/270">#270</a></td>
        <td>Throdo (fixed)</td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Embedded objects are correctly displayed and editable :
          <ul>
            <li>
              Drag & drop for the Items tab : the item is put in the character
              sheet, in the right item category (a Virtue in the Virtues part of
              the character sheet ...)
            </li>
            <li>
              It's possible to open the item sheet of an embedded item by
              clicking on the Edit button of the embedded item
            </li>
            <li>
              The modification of the embedded item is seen inside the character
              sheet (for the information that is repeated in the sheet)
            </li>
            <li>
              You can remove an embedded item by ALT+SHIFT+Click on the garbage
              icone
            </li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/268">#268</a></td>
        <td>Throdo (rejected)</td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Multilines textarea fields are usable :
          <ul>
            <li>You can insert, modify, delete text</li>
            <li>You can save the text</li>
            <li>You can reopen the text</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/269">#269</a></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Calculated fields of PCs & (Player Characters) are working as expected
          :
          <ul>
            <li>
              Strength, Heart, Wits : 20 - value of Strength / Heart / Wits.
              Note : the base TN may be 18 (standalone or starter game) or any
              value put in TOR2e system settings)
            </li>
            <li>
              Load : Sum of the load of each gear (war gear and non-war gear) +
              Fatigue value
            </li>
            <li>Shadow : Sum ot Temporary Shadow + Shadow Scars</li>
            <li>Parry => Shield : Parry bonus given by any equiped Shield</li>
            <li>
              Armour : Bonus dice given on Protection by any equiped armour
            </li>
            <li>Headgear : Bonus given on Protection by any head gear</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          Warning alerts are displayed at the appropriate time
          <ul>
            <li>
              Load : red when current Endurance value is lower or equal to the
              Load
            </li>
            <li>
              Shadow : red when current Hope value is lower or equal to the
              Shadow
            </li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Creation</th>
        <td>Creating a new character (PC, NPC, Lore, Adversary, Community) works as expected</td>
        <td>
             The character is saved with all the information given.
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
        <!-- ITEM SHEETS -->
      <tr>
        <th>ITEMS SHEET</th>
        <th>Weapon</th>
        <td>Create, modify, viewing</td>
        <td>The weapon is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Armour</th>
        <td>Create, modify, viewing</td>
        <td>The armour (armour, shield, headset) is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Special ability</th>
        <td>Create, modify, viewing</td>
        <td>The special ability is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Travel log</th>
        <td>Create, modify, viewing</td>
        <td>The travel log is saved with all the information given
          <ul>
            <li>Travel informations : name, year, season, journey from, destination, days of travel</li>
            <li>add / modify / remove a mount</li>
            <li>Modify the journal and save it</li>
            <li>Add a map image</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Import all members and roles of current community sheet</td>
        <td><ul>
          <li>All the community members are imported from the current default community sheet</li>
          <li>All members are given all their roles (that they have in the Community sheet)</li>
        </ul></td>
        <td>Defect</td>
        <td><ul>
          <li>#283 issue with "no guide"</li>
          <li>#284 issue with member having several roles</li>
        </ul></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Events</td>
        <td>
          <ul>
            <li>Add an event manually (button "+") : target and result are empties, event and region hae a default value</li>
            <li>Add an event defined by roll (button "dice") : a window asks the region type, all fields apart of result are defined</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Skill</th>
        <td>Create, modify, viewing</td>
        <td>The skill is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Reward</th>
        <td>Create, modify, viewing</td>
        <td>The reward is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Distinctive Feature (Trait)</th>
        <td>Create, modify, viewing</td>
        <td>The Distinctive Feature is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Flaw (Trait)</th>
        <td>Create, modify, viewing</td>
        <td>The Flaw is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Virtue (Cultural or Starting)</th>
        <td>Create, modify, viewing</td>
        <td>The virtue is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Miscellaneous</th>
        <td>Create, modify, viewing</td>
        <td>The Miscellaneous is saved with all the information given</td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <!-- DIE ROLLS -->
      <tr>
        <th>Die Rolls</th>
        <th>Die roll window : display</th>
        <td>All the contents are displayed, readable and correspond to the context</td>
        <td>
          <ul>
            <li>Window title : name of the skill (or other ability like Wisdom, Valour, Armour) that is tested</li>
            <li>Roll formula : The number of D12 and D6 correspond to the context of the skill / ability tested (2D12 for a Favoured skill, nb of D6 = rank of the skill)</li>
            <li>TN : The Target Number is equal to the attribute (Strength / Heart / Wits) related to the skill / ability</li>
            <li>The Weary and Miserable health impacts correspond to the health state of the character doing the test</li>
            <li>The roll is Favoured if the tested skill is Favoured</li>
            <li>By default : No result modifier, no Hope point spent, no Support from Companion, no Penalty / Bonus dice</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Die roll window : rules</th>
        <td>The die roll takes in account the initial context + all choices done in the roll window, generates the right final roll formula and rightly evaluates the result in order to give the final result (success ...)</td>
        <td>
          <ul>
            <li>The roll formula is updated for each option that may impact it :
              <ul>
                <li>Result modifier : add the result as a bonus</li>
                <li>Favoured / ill-favoured : 2 Feat die</li>
                <li>Hope : add 1 D6</li>
                <li>Hope + Inspired : add 2 D6</li>
                <li>Support from a companion : add 1 D6</li>
                <li>Bonus / Penalty : if différent than 0, then it adds or removes the corresponding number of D6. Minimum is 0 D6.</li>
                <li>Advanced Bonus / Penalty : if différent than 0, then it adds or removes the corresponding number of D6. Minimum is 0 D6.</li>
              </ul>
            </li>
            <li>Roll Chracteristics : they are updated for related options changed on the right</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Die roll chat : display</th>
        <td>The roll informations are displayed, readable and correspond to the previous window roll</td>
        <td>
          <ul>
            <li>The header containds the character token image, the skill / ability that is tested, the difficulty (TN)</li>
            <li>The roll formula correspond to the previous roll window choices</li>
            <li>The result is displayed and the details of each dice can be displayed by clicking on the chat roll box</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Die roll chat : rules</th>
        <td>The die roll is calculated and evaluated based on the rules and on the roll window options</td>
        <td>
          <ul>
            <li>Calculation
              <ul>
                <li>Weary : the 1, 2 and 3 of all D6 have value 0</li>
                <li>The value of the Eye of Sauron (for PCs) and of the Rune of Gandalf (for Adversaries) is 0</li>
                <li>Favoured : 2 Feat die ar rolled anf the best result is taken</li>
                <li>Ill-favoured : 2 Feat die ar rolled anf the worst result is taken</li>
                <li></li>
              </ul>
            </li>
            <li>Evaluation
              <ul>
                <li>If the TN is met or if the Feat dice gives the Rune of Gandalf (for PCs) or the Eye of Sauron (for Adversaries), then the roll is a success</li>
                <li>If the Feat dice gives a Rune of Gandalf (for PCs) or a Eye of Sauron (for Adversaries), the roll is a success even if the sum of all die is lower than the TN)</li>
                <li>If success but no 6 from the D6 : it's a normal success</li>
                <li>If success and one 6 from the D6 : it's a great success</li>
                <li>If success but two of more 6 from the D6 : it's an extraordinary success</li>
                <li>Miserable : in case of Eye of Sauron with the Feat dice, it's a failure</li>
                <li>Shadow >= Max Hope : in that case all rolls are ill-favoured</li>
                <li>If the TN isn't met and the Feat dice doesn't give a Rune of Gandalf (for PCs) or an Eye of Sauron (for Adversaries), then the roll is a failure</li>
              </ul>
            </li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/266">#266</a> : Ghorin</td>
        <td></td>
      </tr>
      <!-- COMBATS -->
      <tr>
        <th>Combats</th>
        <th>Combat Encounter</th>
        <td>Initiate a combat</td>
        <td>
          <ul>
            <li>Initiate a combat<br>
              <ul>
                <li>Select several tokens on the canvas, then right clic on one token and clic the button "Toggle combat state" => the encounter is created in the encounter tab with all the selected tokens</li>
              </ul>
            </li>
            <li>Add a character (PC or Adversary) to the combat
              <ul>
                <li>Select a token in the canvas that isn't yet in the combat encounter, then right clic on the token and clic the button "Toggle combat state" => the token is added in the encounter in the Combat Encounter tab</li>
              </ul>
            </li>
            <li>Remove a character (PC or Adversary) to the combat
              <ul>
                <li>Select a token in the canvas that is in the combat encounter, then right clic on the token and clic the button "Toggle combat state" => the token is removed from the encounter in the Combat Encounter tab</li>
                <li>Select a token in the Combat Encounter tab, right clic and select option "Remove Combatant" =>  the token is removed from the encounter in the Combat Encounter tab</li>
              </ul>
            </li>
            <li>Only a Loremaster can do that action</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Manage phases</td>
        <td>You can go through all phases of the combat
          <ul>
            <li>You start at Preparation phase</li>
            <li>You click on "Opening Volley" button (in the Comnbat encounter tab) to go to Opening Volley phase</li>
            <li>You click on "Begin Ccombat" button to go to close combat phase</li>
            <li>You click on "End Combat" to finish the combat and close it in the combat encounter</li>
            <li>Only a Loremaster can do that action</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Token actions in the Combat encounter tab</td>
        <td>
          <ul>You can do following actions on the PCs and Adversaries directly in the Combat Encounter
            <li>Toggle visibility : ??? (i don't see any change)</li>
            <li>Mark defeated => the Dead active effect is put on the token</li>
            <li>Ping combatant => animated circles on the token show where it's located in the canvas</li>
            <li>Click on the token in the tab => the canvas is centered on the token</li>
            <li>Update combatant => you can change the name displayed on the canvas, the thumbnail icon ...</li>
            <li>A player can only do the "Ping combatant" action</li>
          </ul>
        </td>
        <td>??</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Engagement</td>
        <td>
          <ul>Determine the PCs and Adversaries fighting each other in close combat
            <li>Select the tokens (1 PC max, 1 or several Adversaries) and clic on the Engagement button in the top of the Combat Encounter tab => the token icon of the engaged adversaries are put on the right of the PC token in the Combat Encounter tab</li>
            <li>Only a Loremaster can do that action</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Stances</td>
        <td>
          <ul>
            <li>Right clic on a PC token and choose the icon of one of the four stances (Rearward, Defensive, Open,  Forward) => the selected stance is now active (surrouded by an orange border)</li>
            <li>Both Loremaster and Players can do that action</li>
          </ul>
        </td>
        <td>OK</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/267">#267</a></td>
        <td>#267 (corrected): Eric</td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>PC attack</td>
        <td>
          <ul>
            <li>Based roll formula = 1D12 + [rank of the weapon skill]D6</li>
            <li>In case of engagement with more than 1 adversary, the PC gets 1D6 malus for each opponent above the first.</li>
            <li>Stance Forward : add 1D6</li>
            <li>Stance Defensive : remove 1D6 (minimum 0D6)</li>
            <li>TN = TN of Strength + Parry value of the adversary</li>
            <li>In case of success, it generates damage for the target (see Damage section)</li>
            <li>In case of at least one 6 with the D6, it generates Special Damage for the target (see Special Damage section)</li>
            <li>In case of 10 or Gandalf Rune with the Feat dice, the target might be injured and has to do a Protection test</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/271">#271</a></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Adversary attack</td>
        <td>
          <ul>
            <li>Based roll formula = 1D12 + [rank of the combat skill]D6</li>
            <li>Stance Forward (of the targeted PC) : add 1D6</li>
            <li>Stance Defensive (of the targeted PC) : remove 1D6 (minimum 0D6)</li>
            <li>TN = Parry value of the targeted Player Character</li>
            <li>In case of success, it generates damage for the target (see Damage section)</li>
            <li>In case of at least one 6 with the D6, it generates Special Damage for the target (see Special Damage section)</li>
            <li>In case of 10 or Gandalf Rune with the Feat dice, the target might be injured and has to do a Protection test</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/271">#271</a></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Damage</td>
        <td>
          <ul>
            <li>The loss of Endurance is equal to the weapon damage value + any bonus damage coming from Heavy Blows Special Damage</li>
            <li>The chat roll displays the damage in the chat</li>
            <li>Right click on the damage message in the chat : a contextual menu appears and propose to apply all (damages + all states)</li>
            <li>When applying the damages : the target suffers a loss of its Endurance (+ any bonus damage coming from Heavy Blows special damage)</li>
            <li>When applying all : the target suffers a loss of its Endurance (+ any bonus damage coming from Heavy Blows) + any health effect that might come with that loss (see Health Effects section)</li>
          </ul>
        </td>
        <td>OK</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/273">#273</a> corrigé</td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Health Effects for Player Characters</td>
        <td>
          <ul>
            <li>If the current Endurance is equal or lower than the Load, then the target becomes Weary</li>
            <li>Wound : If the PC fails a Protection test, it gets Wounded
              <ul>
                <li>The Wounded health state is activated in the character sheet</li>
                <li>The system asks, in the chat, for the player to do a Wound Severity roll</li>
                <li>1-10 : The wound severity roll indicates the duration (in number of days) of the wound. The value is put in the character sheet near the Wounded health state</li>
                <li>Gandalf Rune : the duration is 0 days (the wound is off after a few hours for the character)</li>
                <li>Eye of Sauron : Endurance is put to 0 (and is in Dying state)</li>
              </ul>
            </li>
            <li>If the PC gets Wounded for the second time, its Endurance = 0</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/273">#273</a><br><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/274">#274</a><br><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/275">#275</a></td>
        <td>#273 : corrected<br>#274 : corrected</td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Health Effects for Adversaries</td>
        <td>
          <ul>
            <li>If the current Endurance is lowered to zero, then the adversary is Out-of-Combat</li>
            <li>The adversary can endure as much Wounds than its Might value</li>
          </ul>
        </td>
        <td>Defect</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/279">#279</a></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Special damage for Player Characters</td>
        <td>
          <ul>
            <li>If the attack is successful and at least 1D6 gives a Success icon (6), then appear the "Special Success usage" window that displays :
              <ul>
                <li>On the left : the number of Special Success and the value of the Feat Dice</li>
                <li>In the middle, one line of options is displayed for each Special Success. Default selected option is the "Heavy Blow". Other options are "Fend off", "Pierce", None/Custom (if the option is activated in the system settings)</li>
                <li>Heavy Blow : The bonus damage displayed is equal to the PC Strength value, +1 if the weapon was used with two hands</li>
                <li>Fend off : The parry bonus displayed is equal to
                  <ul>
                    <li>+1 if attacking with an axe or brawling</li>
                    <li>+2 if attacking with a sword</li>
                    <li>+3 if attacking with a spear</li>
                  </ul>
                </li>
                <li>Fend off : available only for close combat, not for distance combat</li>
                <li>Pierce : bonus to the Feat dice
                  <ul>
                    <li>+1 if attacking with a sword or a dagger</li>
                    <li>+2 if attacking with a bow</li>
                    <li>+3 if attacking with a spear</li>
                    <li>Maximum is +10</li>
                  </ul>
                </li>
              </ul>
            </li>
            <li>Shield thrust : available only if equiped with a shield</li>
          </ul>
        </td>
        <td>OK</td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/277">#277</a><br><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/278">#278</a></td>
        <td>#277 (corrected) : Eric<br>#278 (corrected) : Eric</td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Special Damage for Adversaries</td>
        <td>
          <ul>
            <li>If the attack is successful and at least 1D6 gives a Success icon (6), then appear the "Special Success usage" window that displays :
              <ul>
                <li>On the left : the number of Special Success and the value of the Feat Dice</li>
                <li>In the middle, one line of options is displayed for each Special Success. Default selected option is the "Heavy Blow". Other options are "Break shield", "Pierce", "Seize"</li>
                <li>Heavy Blow : The bonus damage displayed is equal to the Adversary Level Attribute value</li>
                <li>Break shield (mo mecanic in TOR2e system)</li>
                <li>Pierce : bonus to the Feat dice of +2</li>
                <li>Seize (mo mecanic in TOR2e system)</li>
              </ul>
            </li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td>Piercing Blow</td>
        <td>
          <ul>
            <li>A piercing blow is produced if the Feat Dice + any bonus from Pierce Special Damage is equal to 10 or Gandalf rune</li>
            <li>In the chat, the target gets an information and a button to do a Protection test</li>
            <li>Protection test
              <ul>
                <li>Roll = 1D12 + [Armour Protection value of the target]D6</li>
                <li>TN = Injury value of the weapon used for the attack</li>
                <li>If the tager got weary with the attack that gave the Piercing Blow, then the Protection roll is done without the Weary effect</li>
                <li>If the roll is failed, then the target gets an Injury</li>
              </ul>
            </li>
            <li>Injury
              <ul>
                <li>The target is asked to do a Wound roll (to determine its gravity)</li>
                <li>After the Injury roll, an option "Apply Wounded" is available in the chat contextual menu (and "Apply Out of Combat" if conditions are met (2 wounds for PC, max wounds for adversary)</li>
                <li>When the wound is applyed for a PC, the corresponding Effect is activated and the injury duration is put in the sheet next to the effect</li>
              </ul>
            </li>
            <li></li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <!-- ACTIVE EFFECTS -->
      <tr>
        <th>Active Effects</th>
        <th>Active Effects for Virtues</th>
        <td>Virtues :
          <ul>
            <li>Confidence : Max Hope => Add => 2</li>
            <li>Prowess : Strength or Heart or Wits => Add => -1</li>
            <li>Dour handed :<ul>
              <li>Heavy Blow Damage => Add => 1</li>
              <li>Pierce => Add => 1</li>
            </ul></li>
            <li>Hardiness : Endurance => Add => 2</li>
            <li>Nimbleness : Parry modifer => Add => 1</li>
          </ul>
        </td>
        <td>
          <ul>
            <li>Confidence : OK</li>
            <li>Prowess : OK</li>
            <li>Dour handed
              <ul>
                <li>Heavy Blow Damage : ? (pas réussi à testé)</li>
                <li>Pierce : OK</li>
              </ul>
            </li>
            <li>Hardiness : OK</li>
            <li>Nimbleness : OK</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <!-- ACTIVE EFFECTS -->
      <tr>
        <th>Active Effects</th>
        <th>Active Effects for Rewards</th>
        <td>
          <ul>Rewards :
            <li>Keen : Weapon Piercing Blow => Add => -1</li>
            <li>Fell : Weapon Injury => Add => 2</li>
            <li>Close-Fitting : Armour protection => Add => 2</li>
            <li>Reinforced : Parry modifier => Add => 1</li>
          </ul>
          note : other rewards can't be implemented via Active Effects
        </td>
        <td>
          <ul>
            <li>Keen : OK</li>
            <li>Fell : OK</li>
            <li>Close-fitting : OK</li>
            <li>Reinforced : OK</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <!-- SETTINGS -->
      <tr>
        <th>Strider Mode</th>
        <th></th>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <!-- MULTILINGUISME -->
      <tr>
        <th>Multilingualism</th>
        <th>Automatic translation of all titles, labels and predefined values </th>
        <td></td>
        <td>
          <ul>Connect to another langage and check translation in
            <li>Character sheets</li>
            <li>Item sheets</li>
            <li>Dialog windows</li>
            <li>The Chat</li>
          </ul>
        </td>
        <td>OK</td>
        <td></td>
        <td></td>
      </tr>
      <!-- EXTERNAL MODULES INTEGRATION -->
      <tr>
        <th>External modules integration</th>
        <th>Dice so Nice!</th>
        <td>Global use</td>
        <td>Die are displayed, roll and give same results than in the chat</td>
        <td>OK</td>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>VTTA-Tokenizer</th>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>foundryvtt-dice-cheater-protector</th>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>GM Screen</th>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th>Export functions for external macros</th>
        <td></td>
        <td>
          <ul>
            <li>getCommunity : return the community Actor. Test in console : game.tor2e.macro.utility.getCommunity()</li>
            <li>setHealthStatus : toggle health active effect on selected actor token. Test in console (for Weary health status) : game.tor2e.macro.utility.setHealthStatus("weary")</li>
            <li>rollItemMacro : roll an attack roll with a specific weapon given by name. Select the PC token, find the name of one of its weapon in its sheet. Test in console : game.tor2e.macro.utility.rollItemMacro("Dague", 'weapon')</li>
            <li>rollSkillMacro : roll a common skill given by its name. Select the PC token and in the console : game.tor2e.macro.utility.rollSkillMacro("Awe", {})</li>
            <li>rollHeroicStatureMacro : roll a Valour or Wisdom roll. Select the PC token and in the console : game.tor2e.macro.utility.rollHeroicStatureMacro('Valour', true, {})</li>
            <li>rollSpecialSkillMacro : roll a ??? roll. Select the PC token and in the console : game.tor2e.macro.utility.rollSpecialSkillMacro("???", true, {})</li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          <ul>
            <li></li>
            <li></li>
          </ul>
        </td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <th></th>
        <th></th>
        <td></td>
        <td>
          <ul>
          <li>getCommunity : OK</li>
          <li>setHealthStatus : OK</li>
          <li>rollItemMacro : OK</li>
          <li>rollSkillMacro : OK</li>
          <li>rollHeroicStatureMacro : OK</li>
          <li>rollSpecialSkillMacro : KO</li>
        </ul>
        </td>
        <td><a href="https://gitlab.com/herve.darritchon/foundryvtt-tor2e/-/issues/285">#285</a></td>
        <td></td>
      </tr>
    </table>
  </body>
</html>